Extension, Fieldtype, Module

Developer
Supported

Popular - The Advanced View Counter for ExpressionEngine

ExpressionEngine 2

Back to this add-on's main page
View Other Add-ons From Notebleu

     

You must be logged in to post.

Message: in_array() expects parameter 2 to be array, string given

Bug Report

petenice
petenice

Unfortunately, error appears in CP.

Message: in_array() expects parameter 2 to be array, string given
Filename: popular/tab.popular.php

Here’s what’s on the system already

Assets
CP Analytics
DataGrab
Freeform Pro
Henshu
Sitemap
Wygwam
Zenbu

Notebleu
# 1
Developer
Notebleu

Thanks, petenice.  Interesting that you’re seeing that warning.  Out of curiosity, what version of ExpressionEngine are you running?  The tab expects one of the settings from the Extension to be passed to it as an array and clearly in this case EE was instead returning a string.  How many channels do you have set to be tracked by Popular in the Extension’s Settings?

I’ve pushed an update to Github that I believe should resolve the issue you’re seeing:

https://github.com/notebleu/popular

Please install this latest version and let me know if you are still experiencing the issue, along with the version of EE that you’re running.

Best,

Will

petenice
# 2
petenice

Whoop! Working! Cool! Version of EE is v2.9.2 - Build Date: 20141004

Notebleu
# 3
Developer
Notebleu

Oh, so not an older version at all!  Clearly I need to install 2.9.2 and do some testing!  Glad it’s set.